> For the complete documentation index, see [llms.txt](https://docs.maibmerchants.md/checkout/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.maibmerchants.md/checkout/api-reference/endpoints.md).

# Endpoints

- [Authentication](https://docs.maibmerchants.md/checkout/api-reference/endpoints/authentication.md)
- [Obtain authentication token](https://docs.maibmerchants.md/checkout/api-reference/endpoints/authentication/obtain-authentication-token.md)
- [Register a new hosted checkout session](https://docs.maibmerchants.md/checkout/api-reference/endpoints/register-a-new-hosted-checkout-session.md): POST /v2/checkouts
- [Cancel a checkout session](https://docs.maibmerchants.md/checkout/api-reference/endpoints/cancel-a-checkout-session.md): POST /v2/checkouts/{id}/cancel
- [Get checkout details](https://docs.maibmerchants.md/checkout/api-reference/endpoints/get-checkout-details.md): GET /v2/checkouts/{id}
- [Retrieve all checkouts](https://docs.maibmerchants.md/checkout/api-reference/endpoints/retrieve-all-checkouts.md): GET /v2/checkouts
- [Get payment by id](https://docs.maibmerchants.md/checkout/api-reference/endpoints/get-payment-by-id.md): /v2/payments/{id}
- [Retrieve all payments by filter](https://docs.maibmerchants.md/checkout/api-reference/endpoints/retrieve-all-payments-by-filter.md): /v2/payments
- [Refund a payment](https://docs.maibmerchants.md/checkout/api-reference/endpoints/refund-a-payment.md): POST /v2/payments/{payId}/refund
- [Retrieve refund details](https://docs.maibmerchants.md/checkout/api-reference/endpoints/retrieve-refund-details.md): /v2/payments/refunds/{id}
